<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateVendorRegisterTable extends Migration
{
    public function up()
    {
        Schema::create('vendor_register', function (Blueprint $table) {
            $table->bigIncrements('Vd_Id');
            $table->string('BusinessName', 255)->nullable();
            $table->string('Registration', 25)->nullable();
            $table->string('TaxRegistration', 25)->nullable();
            $table->date('STDate')->nullable();
            $table->date('EdDate')->nullable();
            $table->string('Status', 1)->nullable();
            $table->string('VendorType', 1)->nullable();
            $table->timestamps();
        });
    }

    public function down()
    {
        Schema::dropIfExists('vendor_register');
    }
}
